//
//  RandomChinese.m
//  iMatchBox
//
//  Created by Tyler Barth on 2013-05-28.
//  Copyright (c) 2013年 Gabble. All rights reserved.
//

#import "RandomChinese.h"
#import <stdlib.h>

@implementation RandomChinese

static NSString* SOURCE = @"殟 戣椵 褅褌諃 斔櫅檷 浶洯浽, 磏 壿嫷嬃 蠸衋醾 毞泂泀 瀪璷 粻緀 硾 觛詏貁 葎萻萶 裌覅詵 莃荶衒 棳棔欿 毰毲 跬, 撖 擙樲橚 泏狔狑 湹渵焲 鯠鯦, 臒薽 蝺 鳼鳹鴅 箄縴儳 姴怤昢 偟偩 跬 寁崏庲 樆樦潏, 儋圚 膣 畟痄笊 鈖嗋圔 剆坲姏 摨敹暯 淠淉 煃, 拻敁柧 飣偓啅 曋橪橤 螏螉 嬃 薽薸蟛 碢禗禈 窞綆腤 銙 鉣馯 駺駹 姎岵帔 轗鐔飂 鄃鈌鈅 僣 騉鬵 簻臗藱 笓粊紒 鄃鈌鈅 嘕 璸瓁穟 桏毢涒 嵧 曒檃 舝 瀁瀎瀊 礛簼繰 輑鄟銆 燛獧 鬎鯪 鳼 礂簅縭 鈁陾靰, 巘斖蘱 蛚袲褁 瀷瀹藶 潧 蘹蠮, 硻禂稢 轗鐔飂 輷邆 銪 訰貥郪 踾踶輵 糋罶羬 魡 躐鑏, 覟 憢憉摮 藙藨蠈 樛槷殦 灉礭 峹捘 觢 滈溔滆 濇燖燏 鬐鶤鶐, 噾噿嚁 偩勓埳 犿玒 漀 犌犐瑆 拻敁柧 痻 楘溍, 藙藨 緦 玾珆玸 翀胲胵 裍裚詷 葝 鬄鵊鵙 椸楢楩 碡碙, 梪涫 餤駰鬳 獫瘯皻 諃 嬼懫 媶媐尳 漦澌潬 譾躒鑅 橀 彔抳 縢羱聬 箖緌翢 蜙, 鋈 碞碠 薝薢蟌 鐩闤鞿, 蔍 瀗犡礝 珋疧眅 炾笀耔 巠帎 鎟霣 箷 溿煔煃 鑳鱨鱮, 蓩蔮 蠿饡驦 爂犤繵 屴奿尕 蔍 鳼 樛槷殦 醆鋍鞎 浶洯, 蟣襋謯 輑鄟銆 鬐鶤鶐 轝酅 銇 婂崥崣 濆澓澋 覟 疶砳, 鑏鑆驈 浘涀缹 溗煂獂 褅 鬎鯪 甀 訬軗 榃痯痻 鴙儤嬯 鄻鎟霣, 烗猀 暲 惝掭掝 曋橪橤 踄 磼簎 婂崥崣 鶷鷇鶾 樆樦潏 滍 珶珸珿 儋圚墝 瓥籪艭 溒溮, 滆 殧澞 橀槶澉 肵苂苃 檌檒濦 墂嫫嵾 璈皞緪 忷扴汥 涀缹 蝯 爧躨 誽賚賧 趡趛踠 硾 敥棷 墐 鵳齖齘 厗垌壴 踸躽輷 鏊鏎顜 熩熝犚 鸄齴 溾, 釢髟偛 蠬襱覾 槧樈 蔏 砯砨 蔏 犵艿邔 毞泂泀, 騩鰒鰔 鈖嗋圔 僄塓塕 簥翷 跿 瀊璸 殠 鑤仜伒 耇胇赲 偩勓埳, 鎟霣 踣 袀豇貣 樧槧樈 椵楘溍 撖撱暲 硻禂稢 鏀顝饇 銇 吙仜, 榃 圔塥 鮂鮐嚃 鱐鱍鱕 軵逯 蒮 胾臷菨 芘芛芤, 樦潏 溿煔煃 鳼鳹鴅 薽薸蟛 鳱, 鋈 胾臷菨 鵵鵹鵿 飹勫嫢 饡驦 勯噚嶢 浞浧浵 孻憵 甀, 氀濆 韎 灉礭蘠 緀綡蒚 箖緌翢 鏀顝饇 稘稒稕 箖緌翢 幓 秎穾 檹瀔濼 齫儽戃 榱 庲悊, 薽薸蟛 鶀嚵巆 榶榩榿 緅蒮 壾 弰捃 緷 殍涾烰 鬋鯫鯚 箖緌翢 磝磢磭 姌弣抶 抩枎殀 趍 窞綆, 嬽巃攇 櫱瀯灂 鳭 莋莥,  鋱 榾毄 瘑睯碫 溹溦滜 萰葍萯 嵧 韎餀 榃痯痻 韰頯餩, 頏飹 滆 踆跾踄 鄨鎷闒 烗猀 轒醭鏹 惝掭掝 轛轝酅 跠 墐 鸃鼞欘 僤凘墈 緌翢, 泏狔 潧 鋱鋟鋈 崸嵀惉, 釂鱞鸄 裌覅詵 跐鉠鉣 鑗鱐 踙 蒛 溿煔煃 瀿犨皫 罫蓱蒆 鞁鬿, 蕺薂 蔍 橍殧澞 烗猀珖 誁趏跮 垽娭屔 樆樦潏 嵀惉 銈, 諿蹅輶 僤凘墈 葠蜄蛖 姴怤 鋱, 滆 斔櫅檷 鶷鷇鶾 鶆鵵 舝 踥踕踛 濞濢燨 扴汥 漇漈 榎 溮煡煟 飣偓啅 笰笱 墥墡嬇 燲獯璯 顊顃餭 鋈, 湸湤 摲 袀豇貣 奫嫮嫳 埱娵徖, 滈溔滆 柦柋牬 樧槧樈 頠餈 鋈 魵 僇鄗 甀瞂硾 坁妢岈, 鸃鼞欘 牣犿玒 賧趡 楋 斶檎檦 梪涫湴 藒襓謥 襱覾 嫀, 蝺 蚔趵 棦殔湝 薉蕺薂, 絼綒 剆坲姏 韰頯餩 馺 溮煡煟 幨懅憴 趏跮 榱 暕 餤駰鬳 螷蟞覮 肒芅邥 湴涬 幓 薞薘 拻敁柧 籿紁羑 荾莯袎, 吪吙 殠 瀗犡礝 飣偓啅 貹貵 飣偓啅 誽賚賧 榎, 軹軦軵 邆錉霋 渮湸湤 鋄銶 嵧";

+ (NSString*) randomChinese {
    int maxlength = [SOURCE length];
    int start = arc4random() % (2* (maxlength / 3));
    int length = arc4random() % (maxlength/3);
    return [SOURCE substringWithRange:NSMakeRange(start, length)];
}
@end
